
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/kallsyms.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/kallsyms.c~kernel-kallsymsc-make-some-code-static kernel/kallsyms.c
--- 25/kernel/kallsyms.c~kernel-kallsymsc-make-some-code-static	2005-01-22 23:17:22.661641472 -0800
+++ 25-akpm/kernel/kallsyms.c	2005-01-22 23:17:22.664641016 -0800
@@ -342,7 +342,7 @@ static int s_show(struct seq_file *m, vo
 	return 0;
 }
 
-struct seq_operations kallsyms_op = {
+static struct seq_operations kallsyms_op = {
 	.start = s_start,
 	.next = s_next,
 	.stop = s_stop,
@@ -384,7 +384,7 @@ static struct file_operations kallsyms_o
 	.release = kallsyms_release,
 };
 
-int __init kallsyms_init(void)
+static int __init kallsyms_init(void)
 {
 	struct proc_dir_entry *entry;
 
_
